Skip to content
BleemeoBleemeo

React to a news item

POST
/v1/news/{id}/react/
curl --request POST \
--url https://example.com/v1/news/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/react/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "title": "example", "description": "example", "category": "feature", "image": "https://example.com", "banner_image": "https://example.com", "publish_at": "2026-04-15T12:00:00Z", "expire_at": "2026-04-15T12:00:00Z", "cta_label": "example", "cta_url": "example", "created_at": "2026-04-15T12:00:00Z" }'

Set (POST, body {“reaction”: “up”|“down”}) or remove (DELETE) the requesting user’s reaction on a news item.

id
required
string format: uuid

A UUID string identifying this news.

A ModelSerializer that takes an additional fields argument that controls which fields should be displayed.

object
id
required
string format: uuid
title
required
string
<= 50 characters
description
string
category
  • feature - Feature
  • improvement - Improvement
  • fix - Fix
  • tip - Tip
  • event - Event
string
Allowed values: feature improvement fix tip event
image
string format: uri
nullable
banner_image
string format: uri
nullable
active
required
boolean
publish_at

A published news only becomes visible once this date is reached.

string format: date-time
expire_at

Once this date is reached, the news is no longer visible.

string format: date-time
nullable
cta_label
string
<= 50 characters
cta_url

Call-to-action target: a full URL (https://…, opens in a new tab) or a panel-relative path (e.g. /settings/cloud, opens in the app).

string
<= 200 characters
read
required
boolean
my_reaction
required
string
nullable
reactions
required
object
key
additional properties
integer
created_at
string format: date-time
modified_at
required
string format: date-time
Media typeapplication/json

A ModelSerializer that takes an additional fields argument that controls which fields should be displayed.

object
id
required
string format: uuid
title
required
string
<= 50 characters
description
string
category
  • feature - Feature
  • improvement - Improvement
  • fix - Fix
  • tip - Tip
  • event - Event
string
Allowed values: feature improvement fix tip event
image
string format: uri
nullable
banner_image
string format: uri
nullable
active
required
boolean
publish_at

A published news only becomes visible once this date is reached.

string format: date-time
expire_at

Once this date is reached, the news is no longer visible.

string format: date-time
nullable
cta_label
string
<= 50 characters
cta_url

Call-to-action target: a full URL (https://…, opens in a new tab) or a panel-relative path (e.g. /settings/cloud, opens in the app).

string
<= 200 characters
read
required
boolean
my_reaction
required
string
nullable
reactions
required
object
key
additional properties
integer
created_at
string format: date-time
modified_at
required
string format: date-time

Example

{
"category": "feature"
}